<?php
include 'fonctions.php';
require_once("../inc/db.php");
include_once("../inc/functions.php");
//session_start();
if (check_user('prof') == false && check_user('admin') == false) {
	$_SESSION = array();
	session_destroy();
	echo 'Vous n&#145;&ecirc;tes pas autoris&eacute; &agrave; voir cette page';
	exit;
	}
echo "<script> Name=". $_GET['id_domaine'] ." </script>";
?>
<head>
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html ; Content-Encoding: UTF-8; charset=UTF-8" />
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="../inc/main.css" type="text/css" />
<script>

var ima;
var dirty=0;
var H;
var W;
var angle=0;
var scale;
var cv;
var x;

function showmedia() {
var divbutton=document.getElementById('div1');
divbutton.style.display='none';
div2.style.display='none';
div3.style.display='none';
var x = document.getElementById("myFile");
var cv=document.getElementById('cv');
cv.style.display='none';
cv.width+=0;
 
if (x.value!='') {
	if (x.files[0].size > 4000000) {
		alert('Le fichier est plus grand que 4Mo')
		return;
		}
if((x.files[0].type=='image/png') || (x.files[0].type=='image/jpeg'))
{
cv.style.display='';
ima=new Image();
ima.src=window.URL.createObjectURL(x.files[0]);
ima.onload=initdraw;
divbutton.style.display=''; 
} else if (x.files[0].type=='audio/mpeg' || x.files[0].type=='audio/mp3')
{ 
div2.innerHTML = "<audio src=" + window.URL.createObjectURL(x.files[0]) + " controls></audio><br><br>";
div2.style.display='';
div3.style.display='';
}
else
{
div2.innerHTML = "<p>Aucun fichier valide.</p>";
div2.style.display='';
}
}
}

function initdraw(){
H=ima.height;
W=ima.width;
cv=document.getElementById('cv'); 
 if (W>=H) {
scale=600/ima.width;
} else {
scale=600/ima.height;
cv.height=H*scale;
}	
cv.width=W*scale;
cv.height=H*scale;
H=cv.height;
W=cv.width;
ctx=cv.getContext('2d'); 
ctx.translate(W/2,H/2);
ctx.drawImage(ima,-W/2,-H/2,W,H);
ctx.setTransform(1, 0, 0, 1, 0, 0);
}

function rotate() {
dirty=1;
angle=angle+90;

if 	(angle==360) {
	angle=0;}
	
var cw = W, ch = H, cx = 0, cy = 0;

switch(angle){
     case 90:
          cw = H;
          ch = W;
          cy = H * (-1);
          break;
     case 180:
          cx = W * (-1);
          cy = H * (-1);
          break;
     case 270:
          cw = H;
          ch = W;
          cx = W * (-1);
          break;
}
cv.setAttribute('width', cw);
cv.setAttribute('height', ch);
ctx.rotate(angle * Math.PI / 180);
ctx.drawImage(ima, cx, cy,W,H);
ctx.setTransform(1, 0, 0, 1, 0, 0);
}
function upload() {
var dataURL = cv.toDataURL('image/jpeg', 0.7);
var xmlHttpReq = false;       
    if (window.XMLHttpRequest) {
        rq = new XMLHttpRequest();
		
    }

    else if (window.ActiveXObject) {
        rq = new ActiveXObject("Microsoft.XMLHTTP");
    }

   rq.open('POST', 'backendupload.php', true);
   rq.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
   
   rq.send("param1=photo&id_domaine="+Name+"&param2="+dataURL);
	rq.addEventListener('readystatechange', function() {
    if (rq.readyState === XMLHttpRequest.DONE && rq.status === 200) {
		location.assign("editer_media.php?id_domaine="+Name);
	} 
	if (rq.readyState === XMLHttpRequest.DONE && rq.status !== 200) {
		alert ('Une erreur est survenue.');
	}
});
}





function uploadaudio() {
var myForm = document.getElementById("myForm");
  var input = document.createElement('input');
    input.type = 'hidden';
    input.name = 'param1';
    input.value = 'audio';
    myForm.appendChild(input);
	myForm.submit();
}

</script>
</head>
<body>
<?php include "../inc/navbarprof.php";
echo "<br>"; ?>
<h1 align=center>Importer un m&eacute;dia</h1>
<div  align="center">
<form id='myForm' method=post action="backendupload.php" enctype="multipart/form-data">
<input type="file" name="myFil" id="myFile" onchange="showmedia();">
<input type=hidden NAME="id_domaine" value="<?php echo $_GET['id_domaine'] ?>">
</form>
<canvas id='cv' style='display:none'></canvas>
<div id='div1' style='display:none'>

<div class='dbutton'  onClick='upload();' title='Importer'><i class='material-icons' style='cursor:pointer;'>add_a_photo</i></div>
<div class='dbutton'  onClick='rotate();' title='Rotation'><i class='material-icons' style='cursor:pointer;'>rotate_right</i></div>
 </div>

 <div id='div2' style='display:none'></div>
 <div id='div3' style='display:none'>

<div class='dbutton'  onClick='uploadaudio();' title='Importer'><i class='material-icons' style='cursor:pointer;'>library_music</i></div>
 </div>
</div>
</body>
