<?php

header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1
header("Cache-Control: post-check=0, pre-check=0", false);
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Pragma: no-cache"); // HTTP/1.0
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

// checking for minimum PHP version
if (version_compare(PHP_VERSION, '5.3.7', '<')) {
    exit("Sorry, Simple PHP Login does not run on a PHP version smaller than 5.3.7 !");
} else if (version_compare(PHP_VERSION, '5.5.0', '<')) {
    // if you are using PHP 5.3 or PHP 5.4 you have to include the password_api_compatibility_library.php
    // (this library adds the PHP 5.5 password hashing functions to older versions of PHP)
    require_once("../php-login/libraries/password_compatibility_library.php");
}

// include the configs / constants for the database connection
require_once("../inc/db.php");
include_once("../inc/functions.php");
//session_start();
if (check_user('user') == false) {
	$_SESSION = array();
	session_destroy();
	echo 'Vous n\'êtes pas autorisé à voir cette page';
	exit;
	}

// load the login class

require_once("../php-login/classes/Registration.php");

// create the registration object. when this object is created, it will do all registration stuff automatically
// so this single line handles the entire registration process.
$registration = new Registration();

// show the register view (with the registration form, and messages/errors)

?>
<head>
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="../inc/main.css" type="text/css" />

</head>
<body>
<?php 
include "navbareleve.php";
echo "<br>";
include("../php-login/views/register.php");
?>